function [ids_struct_out] = imasget_ip(shot, ids_structures)
% Get the bpol_probe signals into IDS structure

mdsopen(shot);
tmp = gdat( shot, 'ip_trapeze');

% Get dimension
Ntime   = size(tmp.data,1);
time = tmp.dim{1};
data = tmp.data;

% Preallocate dimension
ids_struct_out = ids_structures.magnetics.method(1);
ids_struct_out{1}.ip.data = data;
ids_struct_out{1}.ip.time = time;


